using SewerStammGen.Shared.Domain;
using Shared.Contracts;

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SewerStammGen.Shared.Contracts
{
    public interface ISchachtDataService : IDataService<Schacht>
    {
        Task<IEnumerable<Schacht>> GetAllByProjekt(int projektID);
        Task<IEnumerable<Schacht>> GetAllByProjekt(Projekt projekt);
        Task<bool> InsertSchachtBulk(List<Schacht> schacht);
    }
}
